Mick.jpg=Sold
Blue Moons.jpg=Available
Matter of Time.jpg=Available
B Obama work in progress.jpg=Sold
Air Power.jpg=Sold
Holly House Avalon - AWARD WINNER.jpg=Sold
DubblTake business cards original design.jpg=Sold
Lennon McCartney 2-partial Paul.jpg=Sold
Bama.jpg=Sold
Planet Moldavite.jpg=Sold
Imagine Camelot signed by several celebrities (available).jpg=Available
LetterImageExample_Fish of all names of Jesus in Bible.jpg=Designs on various apparel are only available thru LAPop (http://www.lapopart.com ).
Miss M.jpg=Available
Kate.jpg=Sold
Crowe Girls.jpg=Sold
LetterImageExample_Dinosauriformes.jpg=Dinosauriformes
Miss M (close up and example of black and white).jpg=Available
William Holden Wildlife Association.jpg=Stephanie Powers holding the drawing.
Fin Nellie.jpg=Sold
With Love from Me To You (closeup).jpg=Available
Carly-partial3.jpg=Sold
Studio Time .jpg=Available
George Harrison.jpg=Sold
LetterImageExample_Tiger.jpg=Tiger
Brighter Daze.jpg=Sold
Clorinda.jpg=private collection | sold
Matter of Time (close up details2).jpg=Available
Rays of Hope.jpg=Sold to founder/lead of   'Friends of Distincition Vocal Group'
Miss Red.jpg=Available
Obama.jpg=Sold
Simply The Best (and drawing signed by Pete Best).jpg=Sold
Taylor Swift.jpg=Sold
Living Well.jpg=Sold
Future Seen.jpg=Available
A Rose Arisen.jpg=Available
Pippa&Harry.jpg=Sold
Clint.jpg=Sold.
Sea Pels.jpg=Sold
Wild Flowers.jpg=Sold,  (international award winner).
Ice Wine.jpg=Sold.
VooDoo Chile.jpg=Available
Dancer.jpg=Sold
Elvis.jpg=Available
Calculated Risk.jpg=Sold
With Love From Me To You.jpg=Available
LetterImage-America The Beautiful.jpg=Designs on various apparel are only available thru LAPop (http://www.lapopart.com ).
Taylor Swift (macro close up).jpg=Sold
Se7en-Up.jpg=Not Available
Wave Goodbye!_2.jpg=Sold
Knotty Bunch.jpg=Available.
LetterImage_Rocky movie script.jpg=Designs on various apparel are only available thru LAPop (http://www.lapopart.com ).
Rays of Hope (detail).jpg=Sold
Let It Be2.jpg=Available.
Somewhere RA 2.jpg=Available.
Hyde_&_Seek.jpg=private collection | sold \
\
A practice piece, was started as a scribble technique. Most of the drawing was completed using the 'stipple', or 'dots' technique. It is effective but timely. See "Hyde_&_Seek" in Progressions, below.
Three's A Crowd.jpg=Sold
Cock tales.jpg=Sold
private collection 3.jpg=Sold
LetterImageExample_ThreeSixteen.jpg=Designs on various apparel are only available thru LAPop (http://www.lapopart.com ).
Aliquot.jpg=private collection | sold
Pasadena Fire Dept book cover.jpg=Sold
TheGodFather.jpg=See "Credits", below, for complete rendering from start to finish, on YouTube.
Rage!.jpg=Available
David_various ages_2013.jpg=Sold
20171217 PS.jpg=Positive
Two Square-partial2.jpg=Available
Ray D Oh .jpg=Available
Miss M (close up).jpg=Available
LetterImageExample_Route66_R.jpg=Route 66 (2)
Eye-con .jpg=Sold
Godfather.jpg=Copy and paste the this link into your browser's URL ( www.youtube.com/watch?v=t5vSRx-WiZY ) .
Lennon McCartney 2-partial.jpg=Sold
Two Square.jpg=Available
You Can Tune A Piano_But You Can't Tuna Fish.jpg=Sold
Wave-Goodbye!.jpg=Sold
Project Work - for Ed Obannon.jpg=Sold
LetterImageExample-Route 66.gif=Route 66
Taylor Swift (close up).jpg=Sold
Princess.jpg=Sold
Justin Beiber.jpg=Sold
CoachAndClorinda_1995_PrivateColl.jpg=Sold
Bella and Jim 2012.jpg=Sold
Bruno Mars.jpg=Not Available
Oh Well.jpg=Available
Rays of Hope (close up).jpg=Sold
Russian Lips.jpg=Available
Viper.jpg=Sold
3men_Ike_Arnie_Hope.jpg=Sold.
private collection 2.jpg=Sold
Free Ride.jpg=Sold
Godfather.pdf=Here’s a 2007 you tube link of Rick’s ‘The Godfather’ created entirely by using the original movie script. Click on the YouTube link, or copy paste into your browser's URL.
Daze-ease.jpg=Daze-Ease
Rick_Almanzan.jpg=Contact Rick for purchase price on his art work and custom personal drawings, also at  http://www.lapopart.com
Big Hurt.jpg=Sold
J McCain 2008 work in progress.jpg=Sold
Sax & The City .jpg=Sold
Magnificent.JPG=Magnificent Seven
Big Gulp.jpg=Sold
LetterImageExample_Just Pray multi languages.jpg=Designs on various apparel are only available thru LAPop (http://www.lapopart.com ).
Pick 6 .jpg=Available
Godfather_YouTube_video.pdf=Here’s a 2007 you tube link of Rick’s ‘The Godfather’ created entirely by using the original move script. Click on the YouTube link, or copy paste into your browser's URL.
Negative Image PS.jpg=Negative
Beatles drum - Ludwig.jpg=Available
McCain .jpg=Sold
LetterImage_Head Phones.jpg=Designs on various apparel are only available thru LAPop (http://www.lapopart.com ).
The WarWagon.JPG=Sold
Sea Level.jpg=Sold
LetterImage_UncleSam.jpg=Designs on various apparel are only available thru LAPop (http://www.lapopart.com ).
David_various_ages_2013.jpg=Sold
Team_Emirates.jpg=Contact Rick
Notorious B I G.jpg=Sold
Illusion.jpg=Available
LetterImageExample_Dove created out of Amazing Grace lyrics.jpg=Designs on various apparel are only available thru LAPop (http://www.lapopart.com ).
Toms Bar and Restaurant.jpg=Sold.
Wave Goodbye!_3.jpg=Sold
Whole Life Times.jpg=Sold
Air Male.jpg=Sold
Imagine Camelot signed by several celebrities (available)2.jpg=Available
Sea Space.jpg=Sold
SRV .jpg=Available
LetterImageExample_Skull.jpg=Skull
Are You Sure That's Him (4)PS.jpg=Availalbe
Peace of Apple.jpg=Available
Autumn Seen.jpg=Available
Signs of Life.jpg=Available
Good Night.jpg=Sold
Duke_2003.jpg=Sold
Miss M (close up2).jpg=Available
Fly-bye.jpg=Available
Scarface video game  promo poster.jpg=Sold
Are You Sure That's Him (5)PS.jpg=Availalbe
Two Square-partial1.jpg=Available
Manhattan Beach Brewery.jpg=Sold
Sun-screen .jpg=Available
Matter of Time (close up details).jpg=Available
Prez Obama poster in person.jpg=PR only for LA Pop
Wave Goodbye!_1.jpg=Sold
LetterImageExample_Route66_L.jpg=Route 66
Carly-partial.jpg=Sold
Navel Orange.jpg=Available
Sandy_Koufax.jpg=Pencil drawing of Sandy Koufax I did when I was 15
Excuse Me While I Kiss the Sky.jpg=Sold
Logo - softball league.jpg=Sold
Pete Best signing Ricks Beatles drawing.jpg=PR only for LA Pop
LetterImageExample_Jesus Face.jpg=Designs on various apparel are only available thru LAPop (http://www.lapopart.com ).
Hendrix .jpg=Sold
Team_Luna_Rossa.jpg=Contact Rick
Carly-partial2.jpg=Sold
Perennial Love.jpg=Not Available
SRV Close Up.jpg=Available
NA LetterImage.jpg=Available
Imagine Camelot .jpg=Available
Lennon McCartney.jpg=Sold
LetterImageExample_Horse.jpg=Horse
DCI Logo.JPG=Created this design for Bubba & Gladyis Knight's 1st cousin, Gwen Rogers.  Her brother was a 'Pip'.  She is involved with this non-profit org.
Signs of Life .jpg=Available
Revolucion - The Beatles.jpg=Available
AC72_prototype_pitch.jpg=Prototype pitched to Pottery Barn.
Lennon McCartney 2full.jpg=Sold
Plane Space.jpg=Sold
4N Rock.jpg=Sold
Gypsy Rose.jpg=Original sold. Print available, contact Rick.
